Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 655333 - Review Request: tanukiwrapper
Summary: Review Request: tanukiwrapper
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2010-11-20 14:51 UTC by Miroslav Suchý
Modified: 2011-05-24 07:34 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-01-10 19:35:12 UTC


Attachments (Terms of Use)

Description Miroslav Suchý 2010-11-20 14:51:47 UTC
I would like to maintain this package. It has already been in Fedora, but has been orphaned and since last commit passed more then 3 month. Therefore according the policy it need to go through review again:
SPEC:
http://miroslav.suchy.cz/fedora/tanukiwrapper.orig/tanukiwrapper.spec
SRC.RPM:
http://miroslav.suchy.cz/fedora/tanukiwrapper.orig/tanukiwrapper-3.2.3-5.fc12.src.rpm

This is the version of tanukiwrapper which already has been in Fedora (last
update on July 2010). No changes from me.

I wanted to package latest version of Tanukiwrapper, but it changed license,
which is non-free:
http://www.mail-archive.com/legal@lists.fedoraproject.org/msg00253.html
This is most probably non-intentional change and upstream may be willing to
release it under some free license, so I contacted them If they are willing to do
some change toward free license. But so far I wanted to get into Fedora version 3.2.3 which has been release under BSD license.

Comment 1 Steve Traylen 2010-11-24 20:51:51 UTC
Given your introduction to this package and it's current state do you feel 
tanukiwrapper is well maintained?

Did you hear from upstream?

Steve.

Comment 2 Miroslav Suchý 2010-11-25 15:57:03 UTC
> Did you hear from upstream?
No.

Comment 3 Alexander Kurtakov 2010-11-29 18:23:49 UTC
There are a number of problems with the package and it can't go in Fedora in this way:
* you have to drop gcj
* javadoc post/postun should be removed
* jars should be installed unversioned 
* javadoc directory should be unversioned
* file permissions on doc suppackage are not defaults for no reason
* missing requires on jpackage-utils in javadoc but it installs in a directory owned by it

See http://fedoraproject.org/wiki/Packaging:Java for details.

Comment 4 Miroslav Suchý 2011-01-10 19:35:12 UTC
I thought it will be much easier. I'm giving it up for now.

Comment 5 Miroslav Suchý 2011-05-24 07:34:20 UTC
If anybody stumble upon this bz - see:
https://bugzilla.redhat.com/show_bug.cgi?id=707132
for free fork of tanukiwrapper.


Note You need to log in before you can comment on or make changes to this bug.